/*
 * File: RollingDice.java
 * =======================================================
 * A program that shows how to roll dice with
 * RandomGenerator.
 */
import acm.program.*;
import acm.util.*;      // <--- Note the new import

public class RollingDice extends ConsoleProgram {
	public void run() {
		/* So all y'all in the back can see! */
		setFont("CenturySchoolbookL-BOLD-32");
		
		/* Get a random generator with which we can generate
		 * dice rolls.
		 */
		RandomGenerator rgen = RandomGenerator.getInstance();
		
		/* Choose two random die roll outcomes. */
		int firstRoll  = rgen.nextInt(1, 6);
		int secondRoll = rgen.nextInt(1, 6);
		
		println("We rolled " + firstRoll + " and " + secondRoll + ".");
	}
}
